Bug 1732657 - Client registration on Satellite 6.5 is really slow compared to 6.4
Summary: Client registration on Satellite 6.5 is really slow compared to 6.4
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Registration
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: 6.7.0
Assignee: Jonathon Turel
QA Contact: Stephen Wadeley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-24 04:42 UTC by sthirugn@redhat.com
Modified: 2020-02-11 12:15 UTC (History)
5 users (show)

Fixed In Version: tfm-rubygem-katello-3.14.0.6-1
Doc Type: If docs needed, set a value
Doc Text:
Client registration with subscription-manager in Satellite 6.5 and later is slower than in previous versions, because of additional audit and facts data being stored during registration.
Clone Of:
: 1791505 (view as bug list)
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
6.5 production.log (9.06 KB, text/plain)
2019-07-24 04:42 UTC, sthirugn@redhat.com
no flags Details
6.4 production.log (2.74 KB, text/plain)
2019-07-24 04:43 UTC, sthirugn@redhat.com
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28656 Normal Closed Store DMI UUID on Subscription Facet 2020-02-11 12:04:59 UTC

Description sthirugn@redhat.com 2019-07-24 04:42:39 UTC
Created attachment 1593052 [details]
6.5 production.log

Description of problem:
Client registration on Satellite 6.5 is really slow compared to 6.4 - some customer logs show registration can be about nine times slower.

Version-Release number of selected component (if applicable):
Satellite 6.5

How reproducible:
Always

Steps to Reproduce:
1. Register a client to Satellite 6.4. Note the time and corresponding logs in /var/log/foreman/production.log. A sample is attached.
2. Unregister the client from Satellite 6.4.
3. Register the same to Satellite 6.5. Note the time and corresponding logs in /var/log/foreman/production.log. A sample is attached.

Actual results:
Satellite 6.5 registration is slower than 6.4. In my test:
Satellite 6.4 registration -> 2266ms
Satellite 6.5 registration -> 2396ms 
In my test, it looks like it is a bit slower in 6.5 but note that my hardware configuration:
Satellite 6.5 - 16GB RAM, Capsule 6.5 - 12GB RAM
Satellite 6.4 -  8GB RAM, Capsule 6.4 -  3GB RAM

In one of the customer logs:
On 6.4.3 - Registration ranged from 14ms to  17 sec
On 6.5.1 - Registration ranged from 16ms to 159 sec 

Expected results:
Registration times on 6.5 should be equal to or better than in 6.4.

Additional info:
See the attached logs - For the same client,
Satellite 6.4 creates 9 audit calls.
Satellite 6.5 creates 100 audit calls.

Please be aware that Audit calls are very expensive in production due to the size of audit tables in customers.  Two open bugs exist on this:
BZ1703490 - Satellite Audits page is very slow
BZ1703496 - [RFE] Satellite audits cleanup

Comment 3 sthirugn@redhat.com 2019-07-24 04:43:07 UTC
Created attachment 1593053 [details]
6.4 production.log

Comment 4 Jonathon Turel 2020-01-06 23:59:35 UTC
Connecting redmine issue https://projects.theforeman.org/issues/28656 from this bug

Comment 5 Bryan Kearney 2020-01-09 23:01:18 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28656 has been resolved.


Note You need to log in before you can comment on or make changes to this bug.